function TypingScore() {
	this.typingCount = 0;

	var fontStyle = TypingScore.DEFAULT_TEXT_FONT;

	fontStyle.align = "right";
	fontStyle.boundsAlignH = "right";
	this.scoreTitleText = game.add.text(game.world.width / 2 - 40, TypingScore.SCORE_POS_Y, "연속 성공 타수 : ", fontStyle)
	this.scoreTitleText.anchor.set(0.5);

	fontStyle.align = "left";
	fontStyle.boundsAlignH = "left";
	this.scoreText = game.add.text(game.world.width / 2 + 100, TypingScore.SCORE_POS_Y, "0", fontStyle)
	this.scoreText.anchor.set(0.5);

	// var grd = this.scoreText.context.createLinearGradient(0, 0, 0, TypingScore.SCORE_POS_Y);
	// grd.addColorStop(0, '#8ED6FF');
	// grd.addColorStop(1, '#004CB3');
	// this.scoreText.fill = grd;
	// this.scoreText.fill = grd;

	// this.setShadow(3, 3, 'rgba(0, 0, 0, 0.5)', 2);
	// this.scoreText.stroke = '#000';
	// this.scoreText.strokeThickness = 3;
};

TypingScore.prototype.score = function() {
	return this.typingCount;
}

TypingScore.prototype.increase = function() {
	this.typingCount++;
	this.print(this.typingCount);
}

TypingScore.prototype.reset = function() {
	this.typingCount = 0;
	this.print(this.typingCount);
}

TypingScore.prototype.print = function(typingCount) {
	this.scoreText.text = typingCount;
}


TypingScore.SCORE_POS_Y		= 35;

TypingScore.DEFAULT_TEXT_FONT	= {
font: "38px Arial",
align: "center",
boundsAlignH: "center",		// left, center. right
boundsAlignV: "middle", 	// top, middle, bottom
fill: "#fff"
};